# zordfsdb-client

Client for zordfsdb database.

## ZordFsDB shell supported commands:

* KEYS [path] - get list of existing properties/objects/lists
* GET [path] - get value of property
* INC [path] - increase abcex value in property
* DEC [path] - decrease abcex value in property
* NOW [path] - set value to datetime string in property
* DEL [path] - remove property/object/list (no confirmation)
* SAVE [path] [value] - set value to property
* CREATE [path] - create list/object in path (parent path should exist)
* ADD [path] - add abcex indexed object to list. Will return index
* INFO [path] - get all info about property/object/list
* TREE [path] - draw db part in path with values
* HELP - will print this help
* QUIT - exit the shell

Last used path can be accessed by _

Last returned index (after ADD command) can be accessed by $

Short commands can be as:

KEYS(\K), GET(\G), INC(\I), DEC(\D), NOW(\N), DEL(\R), SAVE(\S), CREATE(\C), ADD(\A), HELP(\H), QUIT(\Q)


## TODO

- colors
- SAVE - refresh
- _ - before PATH. Ex, after create object and add value: `NOW _.last_build`
- $ - last id. Ex, to add node to list and set value after ADD: `SAVE _.$.v1 abc`
-et_on_list_oj
